import { IconPrefix, IconDefinition, IconName } from '@fortawesome/fontawesome-common-types';

declare type faIconPrefix = IconPrefix | 'fa';
interface Library {
    definitions?: Record<string, IconDefinition>;
}
declare type IconSplit = [faIconPrefix, IconName];
declare type IconString = `${faIconPrefix}:${IconName}`;
declare function parseIcon(iconData: any): string;
declare function useFa(app: any, icon_aliases: any): Promise<void>;

export { IconSplit, IconString, Library, faIconPrefix, parseIcon, useFa };
